import time
import matplotlib
matplotlib.use('TkAgg')
import matplotlib.pyplot as plt
from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg, NavigationToolbar2TkAgg
from matplotlib.figure import Figure
import Tkinter as tk
import ttk
import sys
import math
from datetime import datetime
import numpy as np
import re


hl, = plt.plot([], [])
plt.rcParams.update({'font.size': 32})
plt.rcParams.update({'font.weight' : 'bold'})
plt.rcParams['lines.linewidth'] = 2
plt.xlabel("Time (s)")
plt.ylabel("Temperature "+ "("+ r'$\Delta$'+r'$\degree$'+"C"+")")
plt.grid(True)

file_object  = open("log.txt", "a")

rate = float(3)
counter = 1 
plotData = float(0.0)
now = datetime.today()
frmt = "%H:%M:%S.%f"
def update_line(hl, new_data, x_data):
		hl.set_xdata(x_data)
		hl.set_ydata(new_data)
		hl.axes.relim()
		hl.axes.autoscale_view()
		ax = plt.gca()
		ax.spines['right'].set_visible(False)
		ax.spines['top'].set_visible(False)
		ax.yaxis.set_ticks_position('left')
		ax.xaxis.set_ticks_position('bottom')
		plt.pause(0.0001)
		

start = 0.0


while 1: 
	file_object  = open("log.txt", "r")
	data = file_object.readlines()
	file_object.close()
	temperature  = np.array(np.zeros(len(data)-5))
	timeX        = np.array(np.zeros(len(data)-5))
	timezero     = datetime.strptime(((re.split("(\s+)",data[0]))[2]),frmt)
	for i in range(len(data)-5):
		raw = re.split("(\s+)",data[i])
		timeX[i] = (datetime.strptime(raw[2],frmt)  - timezero).total_seconds()
		temperature[i] = raw[4]		
        update_line(hl, temperature,timeX)
	time.sleep(rate)



